Subject: Bug#2975: [base] missing /dev/entries

From: [email-masked] (J.H.M.Dassen)
Date: Sun, 16 Jun 1996 16:07:43 +0200 (MDT)

Here's a patch (relative to base-1.1.0-12) that extends MAKEDEV. 
Note that the new entries that we want in base need to be uncommented in
debian.rules.

This patch also provides /dev/random and /dev/urandom (fixes Bug 3039).

Note that this patch does not provide non-i386 devices (some are included,
but commented out), and that it is advisable to extend MAKEDEV with
facilities for these devices, to be called from base's postinst.

-- CUT ME --
diff -r -u base-1.1.0.orig/debian.rules base-1.1.0/debian.rules
--- base-1.1.0.orig/debian.rules	Wed Jun 12 22:02:49 1996
+++ base-1.1.0/debian.rules	Sun Jun 16 15:02:21 1996
@@ -31,9 +31,11 @@
 	$T/usr/doc/copyright/$(p) $T/usr/doc/$(p)
 
 DEVICES= \
-	cdu535 console ftape generic hdc hdd lmscd mcd qic scd0 \
+	cdu535 console ftape generic hdc hdd cmd205cd mcd qic scd0 \
 	scd1 sdc sdd sde sdf sdg sdh sg sonycd st0 st1 xdc xdd sbpcd aztcd \
-	audio
+	audio misc
+# kbd js idetape zorroIIram mscdex cmd206cd gscd optcd hitcd pcaudio
+# dos_hd ed ez geniusscan doublecompress ibcs2 wvisfgrab mmetfgrab isdn
 
 all build:
 # Builds the binary package.
diff -r -u base-1.1.0.orig/prototype/dev/MAKEDEV base-1.1.0/prototype/dev/MAKEDEV
--- base-1.1.0.orig/prototype/dev/MAKEDEV	Wed Apr 10 20:22:39 1996
+++ base-1.1.0/prototype/dev/MAKEDEV	Sun Jun 16 15:01:21 1996
@@ -1,5 +1,31 @@
 #! /bin/sh -
 
+# TODO as of 2.0.0:
+# -----------------
+# - check FIXMEs
+# - entries marked "UNIMPLEMENTED"
+#
+# - Stallion serial card
+# - Specialix serial card
+# - Comtrol Rocketport serial card
+# - Chase serial card
+# - Digiboard serial card
+# - SDL RISCom serial card
+# - Atari SLM ACSI laser printer (68k/Atari)
+# - ACSI disk (68k/Atari)
+# - Universal frame buffer ([2.0.0]: "currently [...] Linux/68k and Linux/SPARC"
+# - ROM/flash memory card
+# - Z8530 HDLC driver
+# - tclmidi MIDI driver
+# - MPU-401 MIDI
+# - Netlink support
+# - Myricom PCI Myrinet board
+# - ML-16P experimental I/O board
+# - Yet Another Micro Monitor
+# - Baycom radio modem
+
+
+
 RCSID='$Id: MAKEDEV 2.2 1995/05/21 17:55:14 alfie Exp $'
 
 #---#---#---#---#---#---#---#---#---#---#---#---#---#---#---#---#---#---#---#
@@ -27,6 +53,11 @@
   audio="  root audio   660"
   ibcs2="  root sys     666"
 scanner="  root sys     666"
+# FIXME: check these!
+   qcam="  root lp      660"
+ random="  root sys	664"
+    kbd="  root sys     664"
+framegr="  root sys     664"
 
 MAXVT=8
 
@@ -173,6 +204,9 @@
 			sr)	echo scd0 ;;
 			st)	echo st0 ;;
 			xd)	echo xda xdb ;;
+			dos_hd)	echo dos_hda dos_hdb dos_hdc dos_hdd ;;
+			ed)	echo eda edb ;;
+			ez)	echo eza ;;
 			fd)	echo fd0 fd1 ;;
 			lp)	echo lp ;;
 			mt)	echo ftape ;;
@@ -219,14 +253,23 @@
 		$0.local $opts
 		;;
 	std)
-		makedev mem  c 1 1 $kmem
-		makedev kmem c 1 2 $kmem
-		makedev null c 1 3 $public
-		makedev port c 1 4 $kmem
-		makedev zero c 1 5 $public
-		symlink core $procfs/kcore
-		makedev full c 1 7 $public
-		makedev ram  b 1 1 $disk
+		makedev mem	c 1 1 $kmem
+		makedev kmem	c 1 2 $kmem
+		makedev null	c 1 3 $public
+		makedev port	c 1 4 $kmem
+		makedev zero	c 1 5 $public
+		symlink core	$procfs/kcore
+		makedev full	c 1 7 $public
+		# [2.0.0]
+		makedev random	c 1 8 $random
+		makedev urandom	c 1 9 $random
+		# OUTDATED: makedev ram  b 1 1 $disk
+		for no in 0 1 2 3 4 5 6 7 ;
+		do
+		  makedev ram$no b 1 $no $disk
+		done
+		symlink ramdisk ram0
+		makedev initrd b 1 250 $disk
 		makedev tty  c 5 0 $tty
 		;;
 	console)
@@ -291,16 +334,49 @@
 		;;
 	busmice)
 		major=`Major mouse 10` || continue
-		makedev logimouse c $major 0 $mouse
-		makedev psmouse   c $major 1 $mouse
-		makedev msmouse   c $major 2 $mouse
-		makedev atimouse  c $major 3 $mouse
-		makedev jmouse    c $major 4 $mouse
+		makedev logibm    c $major 0 $mouse
+		symlink logimouse logibm
+		makedev psaux     c $major 1 $mouse
+		symlink psmouse   psaux
+		makedev inportbm  c $major 2 $mouse
+		symlink msmouse   inportbm
+		makedev atibm     c $major 3 $mouse
+		symlink atimouse  atibm
+		makedev jbm       c $major 4 $mouse
+		symlink jmouse    jbm
+		# Conflict: #makedev amigamouse   c $major 4 $mouse
+		#makedev atarimouse   c $major 5 $mouse
+		#makedev sunmouse     c $major 6 $mouse
+		#makedev amigamouse1  c $major 7 $mouse
+		;;
+	misc)
+		major=`Major misc 10` || continue
+		# FIXME: check categories!!
+		makedev beep		c $major 128 $audio
+		makedev modreq		c $major 129 $system
+		makedev watchdog	c $major 130 $system
+		makedev temperature	c $major 131 $system
+		makedev hwtrap		c $major 132 $system
+		makedev exttrap		c $major 133 $system
+		makedev apm_bios	c $major 134 $system
+		# symlink apm apmbios
+		makedev rtc		c $major 135 $system
+		makedev qcam0		c $major 136 $qcam
+		makedev qcam0		c $major 137 $qcam
+		makedev qcam0		c $major 138 $qcam
+		;;
+	kbd)	
+		major=`Major kbd 11` || continue
+		# [2.0.0] "the raw keyboard device is used on Linux/Sparc only"
+		makedev kbd		c $major 11  $kbd
 		;;
 	js)
-		major=`Major Joystick` || continue
+		major=`Major Joystick 15` || continue
 		makedev js0 c $major 0 $mouse
 		makedev js1 c $major 1 $mouse
+		# [2.0.0]
+		makedev djs0 c $major 128 $mouse
+		makedev djs1 c $major 129 $mouse
 		;;
 	fd[0-7])
 		major=`Major fd 2` || continue
@@ -412,11 +488,37 @@
 		makedev nst$unit c $major `math 128 + $unit` $tape
 		;;
 	qic)
-		major=`Major tpqic02 12`
+		major=`Major tpqic02 12` || continue
 		makedev rmt8       c $major   6 $tape
 		makedev rmt16      c $major   8 $tape
 		makedev tape-d     c $major 136 $tape
 		makedev tape-reset c $major 255 $tape
+		# [2.0.0] proposed:
+		#makedev ntpqic11	c $major   2 $tape
+		#makedev tpqic11	c $major   3 $tape
+		#makedev ntpqic24	c $major   4 $tape
+		#makedev tpqic24	c $major   5 $tape
+		#makedev ntpqic120	c $major   6 $tape
+		#makedev tpqic120	c $major   7 $tape
+		#makedev ntpqic150	c $major   8 $tape
+		#makedev tpqic150	c $major   9 $tape
+		;;
+	idetape)
+		major=`Major IDE-tape 37` || continue
+		# [2.0.0]
+		makedev ht0	c $major   0 $tape
+		makedev nht0	c $major 128 $tape
+		;;
+	zorroIIram)
+		major=`Major Zorro_II_Ramdisk 37` || continue
+		makedev z2ram	b $major   0 $disk
+		;;
+	mscdex)
+		major=`Major mscdex 12` || continue
+		# [2.0.0]
+		# FIXME: check categories!!
+		makedev dos_cd0		b $major   0 $cdrom
+		makedev dos_cd1		b $major   0 $cdrom
 		;;
 	ftape)
 		major=`Major mt 27` || continue
@@ -444,8 +546,15 @@
 	cdu535)
 		makedev $arg b 24 0 $cdrom
 		;;
-	lmscd)
+	cm205cd)
 		makedev $arg b 24 0 $cdrom
+		symlink lmscd $arg
+		;;
+	lmscd)
+		echo "OUTDATED! use cm205cd"
+		;;
+	cm206cd)
+		makedev $arg b 32 0 $cdrom
 		;;
 	sbpcd|sbpcd[123])
 		major=`Major $arg 25` || continue
@@ -463,6 +572,21 @@
 		major=`Major aztcd 29` || continue
 		makedev ${arg}0 b $major 0 $cdrom
 		;;
+	gscd)
+		# [2.0.0]
+		major=`Major GoldStarCD 16` || continue
+		makedev gscd b $major 0 $cdrom
+		;;
+	optcd)
+		# [2.0.0]
+		major=`Major OpticsStorageCD 17` || continue
+		makedev optcd b $major 0 $cdrom
+		;;
+	hitcd)
+		# [2.0.0]
+		major=`Major HitachiCD 20` || continue
+		makedev hitcd b $major 0 $cdrom
+		;;
 	logiscan)
 		major=`Major logiscan` || continue
 		makedev $arg c $major 0 $scanner
@@ -494,10 +618,65 @@
 		makedev midi03     c $major 50 $audio
 		;;
 	pcaudio)
-		major=`Major pcsp` || continue
+		major=`Major pcsp 13` || continue
 		makedev pcmixer c $major 0 $audio
-		makedev pcsp    c $major 3 $audio
+		# Was: makedev pcsp    c $major 3 $audio
+		# [2.0.0]:
+		makedev pcsp    c $major 0 $audio
 		makedev pcaudio c $major 4 $audio
+		makedev pcsp16  c $major 5 $audio
+		;;
+	dos_hd[a-d])
+		# [2.0.0]
+		major=`Major idebios 14` || continue
+		unit=`suffix $arg dos_hd`
+		base=`index abcd $unit`
+		base=`math $base \* 64`
+		makedev dos_hd$unit b $major $base $disk
+		for part in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
+		do
+			makedev dos_hd$unit$part b $major `expr $base + $part` \
+				$disk
+		done
+		;;
+	ed[ab])
+		# [2.0.0]
+		major=`Major MCA_ESDI_HDs 36` || continue
+		unit=`suffix $arg ed`
+		base=`index abcd $unit`
+		base=`math $base \* 64`
+		makedev ed$unit b $major $base $disk
+		for part in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
+		do
+			makedev ed$unit$part b $major `expr $base + $part` $disk
+		done
+		;;
+	eza)
+		# [2.0.0]
+		major=`Major Syquest_Removable 40` || continue
+		unit=`suffix $arg ez`
+		base=`index abcd $unit`
+		base=`math $base \* 64`
+		makedev ez$unit b $major $base $disk
+		for part in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
+		do
+			makedev ez$unit$part b $major `expr $base + $part` $disk
+		done
+		;;
+	geniusscan)
+		major=`Major GeniusScan 16` || continue
+		# [2.0.0]
+		makedev gs4500 c $major 0 $scanner
+		;;
+	doublecompress)
+		major=`Major DoubleCompress 19` || continue
+		# FIXME: check categories!!
+		# [2.0.0]
+		for no in 0 1 2 3 4 5 6 7
+		do
+			makedev double$no b $major $0 $disk
+			makedev cdouble$no b $major `math 128 + $no` $disk
+		done
 		;;
 	sg)
 		major=`Major sg 21`
@@ -516,15 +695,20 @@
 		symlink stderr fd/2
 		;;
 	ibcs2)
-		major=`Major ibcs2` || continue
+		major=`Major ibcs2 30` || continue
 		makedev socksys c $major 0 $ibcs2
 		symlink nfsd socksys
 		makedev spx     c $major 1 $ibcs2
 		symlink X0R null
-		;;
-	apm)
-		major=`Major apm_bios` || continue
-		makedev $arg c $major 0 $system
+		# FIXME: check categories!!
+		# [2.0.0]
+		mkdir inet ; chmod 755 inet
+		makedev inet/arp	c $major 2 $ibcs2
+		makedev inet/icmp	c $major 2 $ibcs2
+		makedev inet/ip		c $major 2 $ibcs2
+		makedev inet/udp	c $major 2 $ibcs2
+		makedev inet/tcp	c $major 2 $ibcs2
+		chmod 755 inet
 		;;
 	dcf)
 		major=`Major dcf` || continue
@@ -533,6 +717,33 @@
 	helloworld)
 		major=`Major hw` || continue
 		makedev helloworld c $major 0 $public
+		;;
+	wvisfgrab)
+		major=`Major QuantaWinvisionFrameGrabber 26` || continue
+		makedev $arg c $major 0 $framegr
+		;;
+	mmetfgrab)
+		major=`Major MatroxMeteorFrameGrabber 40` || continue
+		makedev $arg c $major 0 $framegr
+		;;
+	isdn)
+		# FIXME: check categories!!
+		# [2.0.0]
+		makedev isdninfo c 255 $system
+		for no in 0  1  2  3  4  5  6  7  8  9 \
+			 10 11 12 13 14 15 16 17 18 19 \
+			 20 21 22 23 24 25 26 27 28 29 \
+			 30 31 32 33 34 35 36 37 38 39 \
+			 40 41 42 43 44 45 46 47 48 49 \
+			 50 51 52 53 54 55 56 57 58 59 \
+			 60 61 62 63 
+		do
+			makedev ttyI$no		c 43 $no $tty
+			makedev cui$no		c 44 $no $dialout
+			makedev idsn$no		c 45 $no $system
+			makedev idsnctrl$no	c 45 `math 64 + $no` $system
+			makedev ipp$no		c 45 `math 128 + $no` $system
+		done
 		;;
 	update)
 		if [ ! "$devices" ]
-- OUCH! --

Greetings,
Ray
-- 
POPULATION EXPLOSION  Unique in human experience, an event which happened 
yesterday but which everyone swears won't happen until tomorrow.  
- The Hipcrime Vocab by Chad C. Mulligan